// Стили проекта

// Типографика
// -----------

dl.horizontal {
  @include clearfix;

  dt {
    display: block;
    width: rem-calc(120px);
    float: left;
    clear: left;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  dd {
    @include clearfix;
    display: block;
    margin-left: rem-calc(140px);
  }
}

// Таблицы
// -------

table {
  border-collapse: collapse;
}

table,
thead,
tbody,
tfoot,
tr {
  border: 0;
}

td,
th {
  vertical-align: top;
  border: $table-border;
}

th {
  text-align: left;
}

// Формы
// -----

label {
  &.required {
    &:after {
      content: ' *';
    }
  }
}

.checkbox,
.radio {
  label {
    font-weight: $global-weight-normal;

    &.required {
      &:after {
        content: '';
      }
    }
  }
}

table {
  [type="text"],
  [type="password"],
  [type="date"],
  [type="datetime"],
  [type="datetime-local"],
  [type="month"],
  [type="week"],
  [type="email"],
  [type="number"],
  [type="search"],
  [type="tel"],
  [type="time"],
  [type="url"],
  [type="color"],
  textarea,
  select {
    margin-bottom: 0;
  }
}

// Разметка
// --------

.header {
  margin-bottom: $global-padding*2;
}
